classification
Title: Missing MIME types for opus, AAC, 3gpp and 3gpp2
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: barry, maxking, nbeals, orsenthil, r.david.murray
Priority: normal Keywords: patch

Created on 2021-01-21 21:41 by nbeals, last changed 2021-03-03 00:21 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24287 merged nbeals, 2021-01-21 22:09
Messages (4)
msg385449 - (view) Author: Nathan Beals (nbeals) * Date: 2021-01-21 21:41
These are officially recognized MIME types by IANA: https://www.iana.org/assignments/media-types/media-types.xhtml#audio

- .opus: audio/opus (https://www.iana.org/assignments/media-types/audio/opus and https://tools.ietf.org/html/rfc7845 for recommended file extension)
- .aac: audip/aac (https://www.iana.org/assignments/media-types/audio/aac)
- .3gp: audio/3gpp (https://www.iana.org/assignments/media-types/audio/3gpp)
- .3g2: audio/3gpp2 (https://www.iana.org/assignments/media-types/audio/3gpp2)
msg387585 - (view) Author: Nathan Beals (nbeals) * Date: 2021-02-23 17:02
As per the instructions on the contributing guide, I'm "pinging" this issue after 30 days.
msg387985 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2021-03-03 00:20
New changeset 3a87e562ea21a5083e9f168e02e8ec3e6611e167 by Nathan Beals in branch 'master':
bpo-42994: Add MIME types for opus, AAC, 3gpp and 3gpp2 (#24287)
https://github.com/python/cpython/commit/3a87e562ea21a5083e9f168e02e8ec3e6611e167
msg387986 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2021-03-03 00:21
Thanks for the this contribution, Nathan.
History
Date User Action Args
2021-03-03 00:21:02orsenthilsetstatus: open -> closed
nosy: barry, orsenthil, r.david.murray, maxking, nbeals
messages: + msg387986

assignee: orsenthil
resolution: fixed
stage: patch review -> resolved
2021-03-03 00:20:26orsenthilsetnosy: + orsenthil
messages: + msg387985
2021-03-02 22:51:42FFY00setnosy: + barry, r.david.murray, maxking
2021-02-23 17:02:34nbealssetmessages: + msg387585
2021-01-21 22:09:04nbealssetkeywords: + patch
stage: patch review
pull_requests: + pull_request23107
2021-01-21 21:43:09nbealssettitle: Missing MIME types for opus, AAC and 3gpp(2) -> Missing MIME types for opus, AAC, 3gpp and 3gpp2
2021-01-21 21:41:52nbealscreate